.root {
    width: 100%;
    min-height: 100vh;
    max-width: 100%;
    padding-left: toRem(64);
    overflow: hidden;
    position: relative;
    display: flex;
    flex-direction: column;

    @include media-breakpoint-up(xl) {

        &:before {
            left: 0;
            right: 0;
            bottom: 0;
            z-index: 1;
      //      content: '';
            top: toRem(300);
            position: absolute;
            background: $white;
        }
    }

    @include media-breakpoint-up(xxl) {
        padding-left: toRem(192);
        transition: padding-left .25s;

        &.nav-toggle {
            padding-left: toRem(64);
        }
    }
}

.main {
    flex-grow: 1;
    z-index: 20;
    position: relative;
    padding-top: toRem(24);
    padding-bottom: toRem(32);

    @include media-breakpoint-up(xl) {

    }
}

.nav-bar {
    background: $white;
    border-bottom: 1px solid $line;
}

.widgets {
    margin-bottom: toRem(32);
    display: grid;
    grid-row-gap: toRem(8);
    grid-column-gap: toRem(8);
    grid-template-columns: 1fr 1fr;

    @include media-breakpoint-up(sm) {
        grid-template-columns: 1fr 1fr 1fr;
    }

    @include media-breakpoint-up(md) {
        grid-row-gap: toRem(16);
        grid-column-gap: toRem(16);
        grid-template-columns: repeat( auto-fill, minmax(136px, 1fr) );
    }

    @include media-breakpoint-up(xl) {
        grid-row-gap: toRem(24);
        grid-column-gap: toRem(24);
        margin-bottom: toRem(64);
    }
}

.widget {
    color: $black;
    font-size: toRem(14);
    line-height: toRem(24);
    text-decoration: none;
    min-height: toRem(140);
    padding: toRem(12) toRem(16);
    border-radius: 8px;
    background: $white;
    border: 1px solid $line;
    display: flex;
    flex-direction: column;
    justify-content: space-between;

    &:hover {
        color: $black;
        text-decoration: none;
    }

    &__icon {
        font-size: 0;
        line-height: 0;
        width: toRem(40);
        height: toRem(40);
        flex-shrink: 0;
        border-radius: 50%;
        background: #F6F8FA;
        display: flex;
        align-items: center;
        justify-content: center;

        i {
            flex-shrink: 0;
            height: toRem(24);
            display: inline-block;
        }
    }

    &__content {

    }
}

.widget-add {
    width: toRem(68);
    height: 100%;
    font-size: 0;
    line-height: 0;
    fill: $blue;
    cursor: pointer;
    border-radius: 8px;
    background: $white;
    border: 1px solid $line;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: .25s;

    i {
        height: toRem(24);
        display: inline-block;
    }

    &:hover {
        color: $dark;
        transition: .25s;
    }
}

.list-item {
    padding-right: toRem(12);
    font-size: toRem(14);
    line-height: toRem(24);
    display: flex;
    align-items: flex-start;

    &__icon {
        font-size: 0;
        line-height: 0;
        height: toRem(24);
        margin-right: toRem(4);
        display: inline-block;
        flex-shrink: 0;
    }

    &__header {
        font-size: toRem(14);
        line-height: toRem(24);
        display: flex;
        flex-wrap: wrap;
        align-items: center;
    }

    &__title {
        color: $black;
        font-weight: 500;
        margin-right: toRem(12);
    }

    &__date {
        color: #9C9C9C;
    }
}

.chart-legend-group {
    margin-bottom: toRem(20);
    display: grid;
    grid-row-gap: toRem(12);
    grid-template-columns: 1fr;
}

.inline-legend {
    color: $black;
    height: toRem(35);
    font-weight: 500;
    font-size: toRem(14);
    line-height: toRem(16);
    border-radius: 8px;
    position: relative;
    border: 1px solid $line;
    padding: toRem(8) toRem(12) toRem(8) toRem(40);
    display: flex;
    align-items: center;
    justify-content: space-between;

    &__marker {
        top: calc(50% - 8px);
        left: 12px;
        width: 16px;
        height: 16px;
        display: block;
        border-radius: 50%;
        position: absolute;
    }

    &__value {
        font-weight: 700;
    }
}

.chart-donut {
    width: 176px;
    margin: 0 auto;
}

.bar-chart {
    display: flex;
    justify-content: space-between;

    &__item {
        font-size: toRem(12);
        line-height: toRem(16);

        &:not(:last-child) {
            margin-right: toRem(20);
        }
    }

    &__media {
        width: 30px;
        height: 60px;
        margin: 0 auto;
        border-radius: 5px;
        position: relative;
        background: #F6F8FA;
    }

    &__value {
        left: 0;
        right: 0;
        bottom: 0;
        background: $blue;
        position: absolute;
        border-radius: 5px;
    }

    &__legend {
        color: #3D3D3D;
        text-align: center;
        margin-top: toRem(10);
    }

    @include media-breakpoint-up(md) {

    }
}

.dashboard {

    &__item {
        margin-bottom: toRem(24);
    }

    @include media-breakpoint-up(md) {

        &__grid {
            display: grid;
            grid-column-gap: toRem(24);
            grid-template-columns: 1fr 1fr;
        }
    }

    @include media-breakpoint-up(xl) {

        &__group {
            display: grid;
            grid-column-gap: toRem(24);
            grid-template-columns: 66.66% auto;
        }

        &__secondary {
            display: flex;
            flex-direction: column;

            .dashboard__item {

                &:last-child {
                    flex-grow: 1;
                }

                .card {
                    height: 100%;
                }
            }
        }
    }

    @include media-breakpoint-up(xxl) {

        &__row {
            display: grid;
            grid-column-gap: toRem(24);
            grid-template-columns: toRem(318) auto;
        }

        &__primary {
            order: 2;
        }

        &__secodary {
            order: 1;
            display: block;
            grid-template-columns: 1fr;
        }
    }
}

.grid-span-2 {
    @include media-breakpoint-up(md) {
        grid-column: span 2;
    }
}

.dashboard-header-mobile {
    display: flex;
    align-items: center;
    justify-content: flex-end;
    margin-bottom: toRem(16);

    @include media-breakpoint-up(md) {
        display: none;
    }
}

.block-row {
    grid-row-gap: toRem(16);
    grid-column-gap: toRem(16);
    display: grid;
    grid-template-columns: 1fr;

    @include media-breakpoint-up(lg) {
        grid-template-columns: 1fr 1fr;
    }

    @include media-breakpoint-up(xl) {
        grid-template-columns: 1fr 1fr 1fr;
    }
}

.divider {
    border-bottom: 1px solid #E3E4E4;
}

.sticker {
    right: -58px;
    top: calc(50% - 200px);
    fill: $white;
    color: $white;
    background: $blue;
    border: none;
    outline: none;
    cursor: pointer;
    height: toRem(36);
    border-radius: 8px 8px 0 0;
    padding: toRem(4) toRem(14) toRem(8) toRem(14);
    z-index: 999;
    position: fixed;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    font-size: toRem(14);
    line-height: toRem(16);
    white-space: nowrap;
    opacity: 0;
    visibility: hidden;
    transform: rotate(-90deg);
    transition: .25s;

    i {
        flex-shrink: 0;
        font-size: 0;
        line-height: 0;
        height: toRem(16);
        display: inline-block;
        margin-left: toRem(8);
    }

    span {
        display: inline-block;
    }

    &:hover {
        fill: $white;
        color: $white;
        background: #1461ff;
        transition: .25s;
    }

    @include media-breakpoint-up(xl) {
        opacity: 1;
        visibility: visible;
    }
}

.pagination {
    margin-top: toRem(18);
    display: flex;
    align-items: center;
    justify-content: flex-end;
}

.icon {
    font-size: 0;
    line-height: 0;
    width: toRem(24);
    height: toRem(24);
    display: block;
    flex-shrink: 0;
}

.main-row {
    display: grid;
    grid-row-gap: toRem(24);
    grid-column-gap: toRem(24);

    @include media-breakpoint-up(xl) {
        display: grid;
        grid-template-columns: auto toRem(325);
    }
}


@include media-breakpoint-up(sm) {}
@include media-breakpoint-up(md) {}
@include media-breakpoint-up(lg) {}
@include media-breakpoint-up(xl) {}
@include media-breakpoint-up(xxl) {}
